
(function ($, OC) {

    $(document).ready(function () {
        OCA.IfcViewer = _.extend({}, OCA.IfcViewer);
        if (!OCA.IfcViewer.AppName)
        {
            OCA.IfcViewer = {
                AppName: "ifcviewer"
            };
        }

        $("#bimitSave").click(function ()
        {
            var f_bimitUrl = $("#bimitUrl").val().trim();

            var saving = OC.Notification.show( t(OCA.IfcViewer.AppName, "Сохранение...") );

            var settings = {
                    bimitUrl: f_bimitUrl
            };


            $.ajax({
                method: "POST",
                url: OC.generateUrl("apps/"+ OCA.IfcViewer.AppName + "/ajax/settings"),
                data: settings,
                success: function onSuccess(response)
                {
                    OC.Notification.hide(saving);

                    if (response && response.bimitUrl != null)
                    {
                        $("#bimitUrl").val(response.bimitUrl);

                        var message =
                            response.error
                                ? (t(OCA.IfcViewer.AppName, "Error when trying to connect") + " (" + response.error + ")")
                                : t(OCA.IfcViewer.AppName, "Settings have been successfully saved");
                        OC.Notification.show(message, {timeout: 5000});
                    }
                }
            });
        });

        $("#bimitUrl").keypress(function (e)
        {
            var code = e.keyCode || e.which;
            if (code === 13) $("#bimitSave").click();
        });
    });

})(jQuery, OC);
