
(function(OCA) {

	OCA.IfcViewer = _.extend({}, OCA.IfcViewer);

	if (!OCA.IfcViewer.AppName) {
		OCA.IfcViewer = {
			AppName: "ifcviewer"
		};
	}

	OCA.IfcViewer.OpenShareViewer = function (fileId, filePath, shareToken) {
        var url = OC.generateUrl("/apps/" + OCA.IfcViewer.AppName + "/share/{fileId}/{shareToken}", {
            fileId: fileId,
            shareToken: shareToken
        });
        window.location.href = url;
    };
    
	var registerShareActions = function() {
		OCA.Files.fileActions.registerAction({
			name: 'openShareIfcInBimit',
			displayName: 'Открыть в Bimit',
			mime: 'application/x-step',
			permissions: OC.PERMISSION_READ | OC.PERMISSION_UPDATE,
			iconClass: 'icon-open',
			actionHandler: function(fileName, context) {
				var fileInfoModel = context.fileInfoModel || context.fileList.getModelForFile(fileName);
               	OCA.IfcViewer.OpenShareViewer(fileInfoModel.id, OC.joinPaths(context.dir, fileName), encodeURIComponent($("#sharingToken").val()));
			}
		});

		OCA.Files.fileActions.setDefault('application/x-step', "openShareIfcInBimit");
	}
	
	var getFileExtension = function(fileName) {
		var extension = fileName.substr(fileName.lastIndexOf(".") + 1).toLowerCase();
		return extension;
	};

	var initSharePage = function() {
		if ($("#isPublic").val() === "1" && !$("#filestable").length) {

			var fileName = $("#filename").val();
			//var mimeType = $("#mimetype").val();
			var extension = getFileExtension(fileName);


			if (extension != "ifc") {
				return;
			}

			var button = document.createElement("a");
			button.href = OC.generateUrl("apps/" + OCA.IfcViewer.AppName + "/s/" + encodeURIComponent($("#sharingToken").val()));
			button.className = "button";
			button.innerText = "Открыть в Bimit"
			button.target = "_blank";


			$("#preview").append(button);
		}
	};

	initSharePage();
	
	registerShareActions();

})(OCA);