<?php
namespace OCA\Ifcviewer;

use OCP\IConfig;
use OCP\ILogger;

class AppConfig
{

    /**
     * release
     */
    private $predefBimitUrl = "https://www.bimit.ru";
    private $bimitPath = "/pirsbim/cloud/";
    private $frameUrl;

    /**
     * dev
     */
    //private $predefBimitUrl = "http://pirsbim.mifors.com";
    //private $bimitPath = "/cloud/pirsbim/cloud/";
    //private $frameUrl = "http://pirsbim.mifors.com";
    
    private $appName;

    private $config;

    private $logger;

    private $_bimitUrl = "BimitUrl";

    public function __construct($AppName)
    {
        $this->appName = $AppName;

        $this->config = \OC::$server->getConfig();
        $this->logger = \OC::$server->getLogger();
    }

    public function SetBimitUrl($bimit)
    {
        $bimit = strtolower(rtrim(trim($bimit), "/"));
        if (strlen($bimit) > 0 && ! preg_match("/^https?:\/\//i", $bimit))
            $bimit = "http://" . $bimit;
        $this->logger->info("SetBimitUrl: " . $bimit, array(
            "app" => $this->appName
        ));
        $this->config->setAppValue($this->appName, $this->_bimitUrl, $bimit);
    }

    public function GetBimitUrl()
    {
        $val = $this->config->getAppValue($this->appName, $this->_bimitUrl);
        if (empty($val))
            $val = $this->predefBimitUrl;
        return $val;
    }

    public function GetFrameUrl()
    {
        $val = $this->frameUrl;
        if (empty($val))
            $val = $this->GetBimitUrl();

        return $val;
    }

    public function GetBimitPath()
    {
        return $this->bimitPath;
    }

    public function GetAppName()
    {
        return $this->appName;
    }

    /**
     * Additional data about formats
     *
     * @var array
     */
    public $formats = [
        "ifc" => [
            "mime" => "application/x-step",
            "type" => "text"
        ]
    ];
}
